Get license

Retrieves a license by ID. The response includes the decrypted key. Requires the LICENSES_READ scope.

GET https://api.pandabase.io/v2/core/stores/{storeId}/licenses/{licenseId}

Authentication

Requires a bearer token (sk_…) or an API key in the header Authorization.

Path parameters

storeId string required

(length 12–48)

licenseId string required

(length 12–48)

Header parameters

idempotency-key string

(length 8–32)

Response 200

Default Response

ok enum required

(one of true)

data object required

No description.

Response 404

Default Response

ok enum required

(one of false)

error string required

No description.

Request
curl -X GET https://api.pandabase.io/v2/core/stores/:storeId/licenses/:licenseId
Response
{  "ok": true,  "data": {    "id": "lic_q1mzj0kxw5h7n4tr3bcfp2v8",    "key": "ACME-XK7Q-9R3T-LP2W",    "status": "CLAIMED",    "productId": "prd_8h4t6sqzy3x9w5n2k1m0vqbf",    "variantId": null,    "orderId": "ord_p2v8q1mzj0kxw5h7n4tr3bcf",    "customerId": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",    "claimedAt": "2026-05-14T12:35:11.000Z",    "createdAt": "2026-05-14T12:35:11.000Z"  }}